Page MenuHomePhabricator

Discard translation drafts
Closed, ResolvedPublic

Description

It should be possible to discard translation drafts. The idea is to provide a fly-out menu when the user hovers the "..." icon shown in the design below. There should be a "discard translation" option with the trash can icon (orange version on hover).

When the user selects "discard translation" we can either:

  • Option A. Show the translation immediately as discarded with an option to restore. Technically this has the complexity of postponing the actual deletion of the information.
  • Option B. Show a confirmation dialog. The dialog will be similar to the one used for new translations (making the background to fade in white).

Mockup for option A:

Mockup for Option B:

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added a project: ContentTranslation.
Pginer-WMF changed Security from none to None.
Pginer-WMF added a project: Design.
Pginer-WMF added a subscriber: Pginer-WMF.

I can create a specific mockup to add details if needed, but the basic behaviour is the same as the one used for Flow (e.g., check https://www.mediawiki.org/wiki/Talk:Content_translation ).

Arrbee triaged this task as Medium priority.Dec 10 2014, 3:08 PM
Arrbee added a subscriber: Arrbee.
Arrbee assigned this task to Pginer-WMF.Dec 10 2014, 4:08 PM

Because these drafts are not usual wiki pages, deleting them means they are lost forever. This may require a warning or a confirmation prompt. A small yes/no line like the one in the Thanks extension can be good. I'll leave it to the designer to decide about the need and the suggested implementation.

We got a request about this through the talk page.

Pginer-WMF updated the task description. (Show Details)Dec 18 2014, 9:19 AM
Pginer-WMF removed a project: Design.
Pginer-WMF removed Pginer-WMF as the assignee of this task.Dec 18 2014, 9:22 AM
Arrbee edited projects, added LE-Sprint-81; removed LE-Sprint-80.Dec 22 2014, 3:14 PM
santhosh raised the priority of this task from Medium to High.Dec 23 2014, 3:14 PM
santhosh moved this task from Backlog to In Progress on the LE-Sprint-81 board.

Change 182065 had a related patch set uploaded (by Santhosh):
WIP: Discard translations

https://gerrit.wikimedia.org/r/182065

Patch-For-Review

https://gerrit.wikimedia.org/r/182065 does not have the confirmation dialog when user clicks on discard dialog. I am postponing it to make the patch compact and convenient for review.

Change 182065 merged by jenkins-bot:
Discard translations drafts from translations list

https://gerrit.wikimedia.org/r/182065

Arrbee closed this task as Resolved.Jan 7 2015, 1:46 PM
Arrbee moved this task from In Review to Done on the LE-Sprint-81 board.

Verified.

(Feel free to use one of the available verified tags if you want to ever query on verified tickets.)